rte_pmd_mlx5_driver_event_cb_info(3)

NAME
rte_pmd_mlx5_driver_event_cb_info

SYNOPSIS

#include <rte_pmd_mlx5.h>

  Data Fields

enum rte_pmd_mlx5_driver_event_cb_type event

Detailed Description

Information related to a driver event.

Definition at line 464 of file rte_pmd_mlx5.h.

Field Documentation

  enum rte_pmd_mlx5_driver_event_cb_type event
Type of the driver event for which the callback is called.

Definition at line 466 of file rte_pmd_mlx5.h.

  struct rte_pmd_mlx5_driver_event_cb_queue_info queue
Information about the queue for which driver event is being called.

This union variant is valid for the following events:

•   RTE_PMD_MLX5_DRIVER_EVENT_CB_TYPE_RXQ_CREATE

•   RTE_PMD_MLX5_DRIVER_EVENT_CB_TYPE_RXQ_DESTROY

•   RTE_PMD_MLX5_DRIVER_EVENT_CB_TYPE_TXQ_CREATE

•   RTE_PMD_MLX5_DRIVER_EVENT_CB_TYPE_TXQ_DESTROY

Definition at line 478 of file rte_pmd_mlx5.h.

Author

Generated automatically by Doxygen for DPDK from the source code.